COTONTI.CMSWORKS.RU
Сборка фриланс-биржи на cotonti

Какую версию PHP на сервере своего хостинга Вы используете для своего сайта фриланс биржи ?

66.7% 2
0% 0
33.3% 1
0% 0
0% 0

3 Дата 25.07.2018 11:11

Опрос: переход с php 5.6 на php 7.1

Автор Сообщение

kriptograff

Роман
#1/25.07.2018 11:11
0

Пользователи

Карма: +12

Всем доброго времени суток.

Поиск не дал результатов, поэтому решил создать тему с миграцией фриланс биржи на коте с  php 5.6 на php 7.1.

Кому тема актуальна, прошу, делиться опытом о выявленных "подводных камнях" и способами решиния таковых.

Также, предлагаю присоединиться к опросу, если Вы эксплуатируете сборку фриланс биржи(последнюю сборку), то на какой версии PHP?

Сообщения: 47

vpktzx

#2/25.07.2018 11:17
+1

Пользователи

Карма: +1

5.6 использую, выше и нельзя

Сообщения: 59

kriptograff

Роман
#3/25.07.2018 11:52
0

Пользователи

Карма: +12

#16403 vpktzx:

5.6 использую, выше и нельзя

почему же нельзя, есть ли примеры проблем?

у себя, пока правда в тестовом режиме, но поставил на 7.1, сразу было несколько ошибок, но устраняется тем, что из репозитория самого Cotonti  копируем с заменой файлы cotemplate.php и functions.php в папку system.

ну или собираем latest releases "Cotonti" + "Cot-freelance".

в режиме тестирования, но пока всё норм.

Сообщения: 47

vpktzx

#4/25.07.2018 12:06
0

Пользователи

Карма: +1

#16404 kriptograff:
#16403 vpktzx:

5.6 использую, выше и нельзя

почему же нельзя, есть ли примеры проблем?

у себя, пока правда в тестовом режиме, но поставил на 7.1, сразу было несколько ошибок, но устраняется тем, что из репозитория самого Cotonti  копируем с заменой файлы cotemplate.php и functions.php в папку system.

ну или собираем latest releases "Cotonti" + "Cot-freelance".

в режиме тестирования, но пока всё норм.

Ха-ха, слишком сложно для меня. Я ответил как пользователь по опросу. И так как при попытке установить cotonti на 7.1 я получил ошибку на хостинге, я не стал ничего изобретать в настройках хостинга выставил 5.6 и в путь.

Для чего нужна более версия 7.1 ? Что станет лучше если cmsworks будет работать на последней версии php?

Сообщения: 59

kriptograff

Роман
#5/25.07.2018 12:11
0

Пользователи

Карма: +12

#16405 vpktzx:

Для чего нужна более версия 7.1 ? Что станет лучше если cmsworks будет работать на последней версии php?

скорость! ;) не мало важно! скорость загрузки страниц! ;)

Сообщения: 47

kopusha

#6/25.07.2018 16:16
0

Пользователи

Карма: +107

Ну я думаю что страницы в основном грузятся с кеша. Если у вас от смены пхп существенно повысилась скорость - что то не так с сайтом.

Сообщения: 282

kriptograff

Роман
#7/26.07.2018 19:46
0

Пользователи

Карма: +12

#16408 kopusha:

Ну я думаю

оффтоп! абы ляпнуть

Сообщения: 47

kopusha

#8/26.07.2018 20:22
0

Пользователи

Карма: +107

Ну давай что бы "не ляпнуть"

1) запись к примеру фолио создана 1 раз

2) при обращении к ней она  скешировалась 1 раз

3) далее она грузится из кэша 100+ раз

Где в этой цепочке выигрыш в скорости от нового ядра пхп? 

Только по делу плиз, пердеть в лужу не красит мужчину)

Сообщения: 282

vpktzx

#9/27.07.2018 00:16
0

Пользователи

Карма: +1

#16404 kriptograff:
#16403 vpktzx:

5.6 использую, выше и нельзя

почему же нельзя, есть ли примеры проблем?

у себя, пока правда в тестовом режиме, но поставил на 7.1, сразу было несколько ошибок, но устраняется тем, что из репозитория самого Cotonti  копируем с заменой файлы cotemplate.php и functions.php в папку system.

ну или собираем latest releases "Cotonti" + "Cot-freelance".

в режиме тестирования, но пока всё норм.

Естественно все новое лучше, оптимизированее, и более продуманно сделанно с учетом прошлых лет, и написанного терабайтов кода.

Вопрос, что лучше 5 или 7 не стоит! 

Я буду только рад если cotonti будет развиваться, и с удовольствием скачаю коробку с  7.1 версией. 

Но сейчас по моему мнению у Кота даже нету дома. По интернету только полу мертвые проекты от любителей с кривыми форумами, где нет никого.

 

Сообщения: 59

kopusha

#10/27.07.2018 00:59
0

Пользователи

Карма: +107

Вы делаете одну распространённую ошибку. Важно что за содержимое на сайте. Кот или вп вопрос больше для разрабов, конечн пользователю пофиг. А какая версия пхп у меня на сервере где мои сайты на коте крутятся даже я не в курсе.

Сообщения: 282

kriptograff

Роман
#11/27.07.2018 07:12
0

Пользователи

Карма: +12

если модераторы остались - тему можна закрыть, а то знатоки развели тут базар ни о чем, хуже баб на лавочках.

в топик старте конкретно просил делиться опытом, а не ДОМЫСЛАМИ

Сообщения: 47

Тема заблокирована, новые сообщения запрещены